Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159333 - kdm update for new audit system
Summary: kdm update for new audit system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdebase
Version: 4.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-06-01 18:21 UTC by Steve Grubb
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2005-522
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 14:35:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:522 qe-ready SHIPPED_LIVE kdebase bug fix update 2005-10-05 04:00:00 UTC

Description Steve Grubb 2005-06-01 18:21:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
The kdm login program needs to update its pam configuration for the new audit system. It needs the following line added:

session    required     pam_loginuid.so

The Requires line will need to be set for the version of pam that includes the pam_loginuid module.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. new functionality

Additional info:

Comment 1 Steve Grubb 2005-06-01 18:22:25 UTC
* the same modification can be made to rawhide. In that case, pam-0.79-6 and
later  have the loginuid module.

Comment 2 Ngo Than 2005-06-08 15:11:04 UTC
it's already added into kdebase in the rawhide.

Comment 4 Ngo Than 2005-06-09 08:50:46 UTC
i need the pam version for RHEL4-U2 to require correct version.

Comment 6 Ngo Than 2005-06-13 13:56:48 UTC
it's now fixed in kdebase-3.3.1-5.8.

Comment 7 Steve Grubb 2005-06-17 13:04:23 UTC
Just an update. Pam is finalized for RHEL4-U2. This package probably should have:

Requires: pam >= 0.77-66.8

Thanks!

Comment 9 Ben Levenson 2005-09-14 00:39:27 UTC
fix verified in 3.3.1-5.8. 

Comment 11 Red Hat Bugzilla 2005-10-05 14:35:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-522.html



Note You need to log in before you can comment on or make changes to this bug.